Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java	(revision 3835)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java	(revision 3836)
@@ -57,7 +57,7 @@
 		this.palette16 = new ArrayList<Color>(16);
 		
 		// palette 1
-		this.palette1.add(Color.decode("#2F7ED8")); // Blue
+		this.palette1.add(Color.decode("#2F7ED8")); // Blue //$NON-NLS-1$
 
 		// palette 5
 		this.palette5.add(new Color(255, 0, 0));
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3835)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3836)
@@ -41,8 +41,8 @@
 	/**
 	 * Constants for output formats and file extensions.
 	 */
-	public final static String OUTPUT_FORMAT_NONE = "NONE", OUTPUT_FORMAT_JPEG = "jpeg", OUTPUT_FORMAT_PDF = "pdf", OUTPUT_FORMAT_PNG = "png", OUTPUT_FORMAT_PS = "ps", OUTPUT_FORMAT_SVG = "svg",
-			OUTPUT_FORMAT_BMP = "bmp", OUTPUT_FORMAT_GIF = "gif";
+	public final static String OUTPUT_FORMAT_NONE = "NONE", OUTPUT_FORMAT_JPEG = "jpeg", OUTPUT_FORMAT_PDF = "pdf", OUTPUT_FORMAT_PNG = "png", OUTPUT_FORMAT_PS = "ps", OUTPUT_FORMAT_SVG = "svg", //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
+			OUTPUT_FORMAT_BMP = "bmp", OUTPUT_FORMAT_GIF = "gif"; //$NON-NLS-1$ //$NON-NLS-2$
 	
 	/**
 	 * Constants for the colors rendering modes.
@@ -54,7 +54,7 @@
 	 * Font styles definition.
 	 */
 	//FIXME: SJ: see if we move this in another class to share it
-	public final static String[] FONT_STYLES = {"Regular", "Bold", "Italic", "Bold italic"};
+	public final static String[] FONT_STYLES = {"Regular", "Bold", "Italic", "Bold italic"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 	
 	/**
 	 * Logical font names definition.
@@ -135,7 +135,7 @@
 		}
 		
 		if (chartCreator == null && showLogWarning) {
-			Log.fine(this.getName() + ": No chart creator can be found for result: " + result.getClass() + " and chart type: " + chartType + "."); //$NON-NLS-1$
+			Log.fine(this.getName() + ": No chart creator can be found for result: " + result.getClass() + " and chart type: " + chartType + "."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		return chartCreator;
 	}
@@ -361,7 +361,7 @@
 	 */
 	public static Font createFont(String encodedStr) {
 		String[] data = encodedStr.split("\\|");///$NON-NLS-1$
-		Font font = new Font(data[1], Integer.valueOf(data[3]), Integer.parseInt(data[2].split("\\.")[0])); // font name, font style, font size
+		Font font = new Font(data[1], Integer.valueOf(data[3]), Integer.parseInt(data[2].split("\\.")[0])); // font name, font style, font size //$NON-NLS-1$
 		return font;
 	}
 	
@@ -391,7 +391,7 @@
 				prefix = String.format("%1$-3s", prefix).replace(' ', '_'); //$NON-NLS-1$
 			}
 			
-			file = File.createTempFile(prefix, "." + this.outputFormat, resultsDir);
+			file = File.createTempFile(prefix, "." + this.outputFormat, resultsDir); //$NON-NLS-1$
 		}
 		catch (IOException e) {
 			Log.severe(NLS.bind(ChartsEngineCoreMessages.error_cantCreateTmpChartFileP0, e));
@@ -433,7 +433,7 @@
 			prefix = String.format("%1$-3s", prefix).replace(' ', '_'); //$NON-NLS-1$
 		}
 		
-		file = new File(resultsDir, result.getChartCreator().getFileNamePrefix() + result.getParametersNodePath().replaceAll("/", "_") + "." + this.outputFormat);
+		file = new File(resultsDir, result.getChartCreator().getFileNamePrefix() + result.getParametersNodePath().replaceAll("/", "_") + "." + this.outputFormat); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
 		// TODO : old code, useful ? and/or return null instead of the file if canWrite() return false ?
 		if (!resultsDir.canWrite()) {
@@ -620,12 +620,12 @@
 	
 	@Override
 	public String toString() {
-		String str = this.getName() + " (description: " + this.description + ", current output format: " + this.outputFormat;
+		String str = this.getName() + " (description: " + this.description + ", current output format: " + this.outputFormat; //$NON-NLS-1$ //$NON-NLS-2$
 		
-		str += ", supported output display formats: " + this.getSupportedOutputDisplayFormats().toString().replaceAll("\\[|\\]", ""); //$NON-NLS-2$ //$NON-NLS-3$
-		str += ", supported output file formats: " + this.getSupportedOutputFileFormats().toString().replaceAll("\\[|\\]", ""); //$NON-NLS-2$ //$NON-NLS-3$
+		str += ", supported output display formats: " + this.getSupportedOutputDisplayFormats().toString().replaceAll("\\[|\\]", "");  //$NON-NLS-1$//$NON-NLS-2$ //$NON-NLS-3$
+		str += ", supported output file formats: " + this.getSupportedOutputFileFormats().toString().replaceAll("\\[|\\]", "");  //$NON-NLS-1$//$NON-NLS-2$ //$NON-NLS-3$
 		
-		str += ")";
+		str += ")"; //$NON-NLS-1$
 		
 		return str;
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 3835)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 3836)
@@ -136,7 +136,7 @@
 //		}
 		
 		// FIXME: SJ: new version, but actually the should not be based on JFace format
-		String defaultFont = "1|SansSerif|14|0"; 
+		String defaultFont = "1|SansSerif|14|0";  //$NON-NLS-1$
 		
 		
 		preferences.put(FONT, defaultFont);
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 3835)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 3836)
@@ -189,7 +189,7 @@
 		boolean computingState = true;
 		
 		try {
-			Log.finest("*** ChartResult._compute(): " + this.getClass().getSimpleName() + ": starting computing process...");
+			Log.finest("*** ChartResult._compute(): " + this.getClass().getSimpleName() + ": starting computing process..."); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			boolean computingParametersChanged = super.hasParametersChanged();
 			boolean renderingParametersChanged = this.hasRenderingParameterChanged();
@@ -197,7 +197,7 @@
 			if (this.isDirty()) {
 				
 				// Debug
-				Log.finest("+++ ChartResult._compute(): " + this.getClass().getSimpleName() + ": computing result of type " + this.getClass() + "...");
+				Log.finest("+++ ChartResult._compute(): " + this.getClass().getSimpleName() + ": computing result of type " + this.getClass() + "..."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				
 				computingState = this.__compute(monitor.createNewMonitor(90)) && this.renderChart(monitor.createNewMonitor(10));
 			}
@@ -205,14 +205,14 @@
 				if (computingParametersChanged) { // no parameter changed but result is dirty
 					
 					// Debug
-					Log.finest("+++ ChartResult._compute(): " + this.getClass().getSimpleName() + ": computing result of type " + this.getClass() + "...");
+					Log.finest("+++ ChartResult._compute(): " + this.getClass().getSimpleName() + ": computing result of type " + this.getClass() + "..."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 					
 					computingState = this.__compute(monitor.createNewMonitor(90)) && this.renderChart(monitor.createNewMonitor(10));
 				}
 				else if (renderingParametersChanged) {
 					
 					// Debug
-					Log.finest("--- ChartResult._compute(): " + this.getClass().getSimpleName() + ": result parameters have not changed since last computing, computing skipped.");
+					Log.finest("--- ChartResult._compute(): " + this.getClass().getSimpleName() + ": result parameters have not changed since last computing, computing skipped."); //$NON-NLS-1$ //$NON-NLS-2$
 					
 					computingState = this.renderChart(monitor.createNewMonitor(100));
 				}
@@ -266,7 +266,7 @@
 		
 		monitor.setTask("Rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "...");
 		
-		Log.finest("*** ChartResult.renderChart(): rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "..."); //$NON-NLS-1$
+		Log.finest("*** ChartResult.renderChart(): rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "..."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
 		// update the chart dirty state from history if a parameter has changed since last computing
 		// this.updateChartDirtyFromHistory();
@@ -286,7 +286,7 @@
 				}
 				chartCreator = alternativeEngine.getChartCreator(this);
 				if (chartCreator != null) {
-					Log.finest("ChartResult.renderChart(): another suitable chart creator has been found in charts engine: " + alternativeEngine + "."); //$NON-NLS-1$
+					Log.finest("ChartResult.renderChart(): another suitable chart creator has been found in charts engine: " + alternativeEngine + "."); //$NON-NLS-1$ //$NON-NLS-2$
 					this.chartsEngine = alternativeEngine;
 					break;
 				}
@@ -322,7 +322,7 @@
 			// )
 			
 			) {
-				Log.finest("+++ ChartResult.renderChart(): creating chart (charts engine = " + this.chartsEngine + ", output format = " + this.chartsEngine.getOutputFormat() + ")..."); //$NON-NLS-1$
+				Log.finest("+++ ChartResult.renderChart(): creating chart (charts engine = " + this.chartsEngine + ", output format = " + this.chartsEngine.getOutputFormat() + ")..."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				
 				this.chart = chartCreator.createChart(this);
 			}
@@ -362,7 +362,7 @@
 			
 		}
 		else {
-			Log.severe("ChartResult.renderChart(): can not find any suitable chart creator for result: " + this.getClass() + "."); //$NON-NLS-1$
+			Log.severe("ChartResult.renderChart(): can not find any suitable chart creator for result: " + this.getClass() + "."); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 	}
@@ -712,7 +712,7 @@
 			fontName = ChartsEngine.FONTS_LOGICAL_NAMES[fontNameIndex];
 		}
 		
-		this.setFont("1|" + fontName + "|" + size + "|" + String.valueOf(styleAsInt));
+		this.setFont("1|" + fontName + "|" + size + "|" + String.valueOf(styleAsInt)); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	}
 
 	
